Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.analysis.shingle
Class ShingleMatrixFilter.Matrix.Column.Row

    java.lang.Object
      org.apache.lucene.analysis.shingle.ShingleMatrixFilter.Matrix.Column.Row

Enclosing class:
  ShingleMatrixFilter.Matrix.Column

    public class ShingleMatrixFilter.Matrix.Column.Row

extends Object

Constructor Summary
`ShingleMatrixFilter.Matrix.Column.Row()`

Method Summary
`ShingleMatrixFilter.Matrix.Column` | `getColumn()`
`int` | `getIndex()`
`List<org.apache.lucene.analysis.Token>` | `getTokens()`
`void` | `setTokens(List<org.apache.lucene.analysis.Token> tokens)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ShingleMatrixFilter.Matrix.Column.Row

    public ShingleMatrixFilter.Matrix.Column.Row()

Method Detail

### getColumn

    public ShingleMatrixFilter.Matrix.Column getColumn()

### getIndex

    public int getIndex()

### getTokens

    public List<org.apache.lucene.analysis.Token> getTokens()

### setTokens

    public void setTokens(List<org.apache.lucene.analysis.Token> tokens)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD